Package com.google.gwt.event.shared

## Interface HasHandlers

- All Known Subinterfaces:
    `AutoDirectionHandler.Target`, `DialogBox.Caption`, `HasAllDragAndDropHandlers`, `HasAllFocusHandlers`, `HasAllGestureHandlers`, `HasAllKeyHandlers`, `HasAllMediaHandlers`, `HasAllMouseHandlers`, `HasAllTouchHandlers`, `HasAttachHandlers`, `HasBeforeSelectionHandlers<T>`, `HasBlurHandlers`, `HasCanPlayThroughHandlers`, `HasCellPreviewHandlers<T>`, `HasChangeHandlers`, `HasClickHandlers`, `HasCloseHandlers<T>`, `HasConstrainedValue<T>`, `HasContextMenuHandlers`, `HasData<T>`, `HasDoubleClickHandlers`, `HasDragEndHandlers`, `HasDragEnterHandlers`, `HasDragHandlers`, `HasDragLeaveHandlers`, `HasDragOverHandlers`, `HasDragStartHandlers`, `HasDropHandlers`, `HasEndedHandlers`, `HasErrorHandlers`, `HasFocusHandlers`, `HasGestureChangeHandlers`, `HasGestureEndHandlers`, `HasGestureStartHandlers`, `HasHighlightHandlers<V>`, `HasInitializeHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasKeyUpHandlers`, `HasLoadedMetadataHandlers`, `HasLoadHandlers`, `HasLoseCaptureHandlers`, `HasMouseDownHandlers`, `HasMouseMoveHandlers`, `HasMouseOutHandlers`, `HasMouseOverHandlers`, `HasMouseUpHandlers`, `HasMouseWheelHandlers`, `HasOpenHandlers<T>`, `HasProgressHandlers`, `HasResizeHandlers`, `HasRows`, `HasScrollHandlers`, `HasScrolling`, `HasSelectionHandlers<T>`, `HasShowRangeHandlers<V>`, `HasTouchCancelHandlers`, `HasTouchEndHandlers`, `HasTouchMoveHandlers`, `HasTouchStartHandlers`, `HasValue<T>`, `HasValueChangeHandlers<T>`, `HorizontalScrollbar`, `SelectionChangeEvent.HasSelectionChangedHandlers`, `SelectionModel<T>`, `SetSelectionModel<T>`, `TabBar.Tab`, `VerticalScrollbar`
  All Known Implementing Classes:
    `AbsolutePanel`, `AbstractCellTable`, `AbstractCellTree`, `AbstractHasData`, `AbstractNativeScrollbar`, `AbstractPager`, `Anchor`, `Audio`, `Button`, `ButtonBase`, `CalendarView`, `Canvas`, `CaptionPanel`, `CellBrowser`, `CellBrowser.BrowserCellList`, `CellGridImpl`, `CellGridImpl.Cell`, `CellList`, `CellPanel`, `CellTable`, `CellTree`, `CellTreeNodeView.NodeCellList`, `CellWidget`, `CheckBox`, `ComplexPanel`, `Composite`, `CountingEventBus`, `CustomButton`, `CustomScrollPanel`, `DataGrid`, `DataGrid.TableWidget`, `DateBox`, `DateLabel`, `DatePicker`, `DatePickerComponent`, `DeckLayoutPanel`, `DeckPanel`, `DecoratedPopupPanel`, `DecoratedStackPanel`, `DecoratedTabBar`, `DecoratedTabPanel`, `DecoratorPanel`, `DefaultCalendarView`, `DefaultCalendarView.CellGrid`, `DefaultCalendarView.CellGrid.DateCell`, `DefaultMonthSelector`, `DefaultSelectionModel`, `DialogBox`, `DialogBox.CaptionImpl`, `DisclosurePanel`, `DockLayoutPanel`, `DockPanel`, `DoubleBox`, `EventBus`, `FileUpload`, `FlexTable`, `FlowPanel`, `FocusPanel`, `FocusWidget`, `FormPanel`, `Frame`, `Grid`, `HandlerManager`, `HasDataPresenter`, `HeaderPanel`, `Hidden`, `HorizontalPanel`, `HorizontalSplitPanel`, `HTML`, `HTMLPanel`, `HTMLTable`, `Hyperlink`, `Image`, `InlineHTML`, `InlineHyperlink`, `InlineLabel`, `IntegerBox`, `Label`, `LabelBase`, `LayoutPanel`, `LazyPanel`, `ListBox`, `LoggingPopup`, `LongBox`, `MediaBase`, `MenuBar`, `MonthSelector`, `MultiSelectionModel`, `NamedFrame`, `NativeHorizontalScrollbar`, `NativeVerticalScrollbar`, `NoSelectionModel`, `NotificationMole`, `NumberLabel`, `OrderedMultiSelectionModel`, `PageSizePager`, `Panel`, `PasswordTextBox`, `PopupPanel`, `PushButton`, `RadioButton`, `RenderablePanel`, `ResetButton`, `ResettableEventBus`, `ResizeComposite`, `ResizeLayoutPanel`, `RichTextArea`, `RootLayoutPanel`, `RootPanel`, `ScrollPanel`, `SelectionModel.AbstractSelectionModel`, `SimpleCheckBox`, `SimpleEventBus`, `SimpleLayoutPanel`, `SimplePager`, `SimplePanel`, `SimpleRadioButton`, `SingleSelectionModel`, `SplitLayoutPanel`, `SplitLayoutPanel.HSplitter`, `SplitLayoutPanel.Splitter`, `SplitLayoutPanel.VSplitter`, `SplitPanel`, `StackLayoutPanel`, `StackPanel`, `SubmitButton`, `SuggestBox`, `TabBar`, `TabLayoutPanel`, `TabPanel`, `TextArea`, `TextBox`, `TextBoxBase`, `ToggleButton`, `Tree`, `ValueBox`, `ValueBoxBase`, `ValueBoxEditorDecorator`, `ValueLabel`, `ValueListBox`, `ValuePicker`, `VerticalPanel`, `VerticalSplitPanel`, `Video`, `Widget`

      public interface HasHandlers

  An object that implements this interface has a collection of event handlers associated with it.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `fireEvent​(GwtEvent<?> event)` | Fires the given event to the handlers listening to the event's type.

- - ### Method Detail

    - #### fireEvent

          void fireEvent​(GwtEvent<?> event)

      Fires the given event to the handlers listening to the event's type.

      Any exceptions thrown by handlers will be bundled into a `UmbrellaException` and then re-thrown after all handlers have completed. An exception thrown by a handler will not prevent other handlers from executing.

      Parameters:
        `event` - the event